PKCS12StoreParameter (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.jcajce.provider.config

## Class PKCS12StoreParameter

- java.lang.Object
- - org.bouncycastle.jcajce.PKCS12StoreParameter
  - - org.bouncycastle.jcajce.provider.config.PKCS12StoreParameter

- All Implemented Interfaces:
    java.security.KeyStore.LoadStoreParameter

  Deprecated.
  use org.bouncycastle.jcajce.PKCS12StoreParameter

      public class PKCS12StoreParameter
      extends PKCS12StoreParameter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PKCS12StoreParameter(java.io.OutputStream out, char[] password)` Deprecated.
    `PKCS12StoreParameter(java.io.OutputStream out, char[] password, boolean forDEREncoding)` Deprecated.
    `PKCS12StoreParameter(java.io.OutputStream out, java.security.KeyStore.ProtectionParameter protectionParameter)` Deprecated.
    `PKCS12StoreParameter(java.io.OutputStream out, java.security.KeyStore.ProtectionParameter protectionParameter, boolean forDEREncoding)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.bouncycastle.jcajce.PKCS12StoreParameter

      `getOutputStream, getProtectionParameter, isForDEREncoding`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PKCS12StoreParameter

          public PKCS12StoreParameter(java.io.OutputStream out,
                              char[] password)

      Deprecated.

    - #### PKCS12StoreParameter

          public PKCS12StoreParameter(java.io.OutputStream out,
                              java.security.KeyStore.ProtectionParameter protectionParameter)

      Deprecated.

    - #### PKCS12StoreParameter

          public PKCS12StoreParameter(java.io.OutputStream out,
                              char[] password,
                              boolean forDEREncoding)

      Deprecated.

    - #### PKCS12StoreParameter

          public PKCS12StoreParameter(java.io.OutputStream out,
                              java.security.KeyStore.ProtectionParameter protectionParameter,
                              boolean forDEREncoding)

      Deprecated.